## libreoffice 7.5.2

=== third_party/abseil-cpp/absl/CMakeLists.txt ===
#
# Copyright 2017 The Abseil Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

add_subdirectory(base)
add_subdirectory(algorithm)
add_subdirectory(cleanup)
add_subdirectory(container)
add_subdirectory(debugging)
add_subdirectory(flags)
add_subdirectory(functional)
add_subdirectory(hash)
add_subdirectory(log)
add_subdirectory(memory)
add_subdirectory(meta)
add_subdirectory(numeric)
add_subdirectory(profiling)
add_subdirectory(random)
add_subdirectory(status)
add_subdirectory(strings)
add_subdirectory(synchronization)
add_subdirectory(time)
add_subdirectory(types)
add_subdirectory(utility)

if (${ABSL_BUILD_DLL})
  absl_make_dll()
endif()

=== third_party/abseil-cpp/absl/strings/CMakeLists.txt ===
#
# Copyright 2017 The Abseil Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

absl_cc_library(
  NAME
    strings
  HDRS
    "ascii.h"
    "charconv.h"
    "escaping.h"
    "internal/damerau_levenshtein_distance.h"
    "internal/string_constant.h"
    "match.h"
    "numbers.h"
    "str_cat.h"
    "str_join.h"
    "str_replace.h"
    "str_split.h"
    "string_view.h"
    "strip.h"
    "substitute.h"
  SRCS
    "ascii.cc"
    "charconv.cc"
    "escaping.cc"
    "internal/charconv_bigint.cc"
    "internal/charconv_bigint.h"
    "internal/charconv_parse.cc"
    "internal/charconv_parse.h"
    "internal/damerau_levenshtein_distance.cc"
    "internal/memutil.cc"
    "internal/memutil.h"
    "internal/stringify_sink.h"
    "internal/stl_type_traits.h"
    "internal/str_join_internal.h"
    "internal/str_split_internal.h"
    "match.cc"
    "numbers.cc"
    "str_cat.cc"
    "str_replace.cc"
    "str_split.cc"
    "string_view.cc"
    "substitute.cc"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::strings_internal
    absl::base
    absl::bits
    absl::config
    absl::core_headers
    absl::endian
    absl::int128
    absl::memory
    absl::raw_logging_internal
    absl::throw_delegate
    absl::type_traits
  PUBLIC
)

# Internal-only target, do not depend on directly.
absl_cc_library(
  NAME
    strings_internal
  HDRS
    "internal/char_map.h"
    "internal/escaping.cc"
    "internal/escaping.h"
    "internal/ostringstream.h"
    "internal/resize_uninitialized.h"
    "internal/utf8.h"
  SRCS
    "internal/ostringstream.cc"
    "internal/utf8.cc"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::config
    absl::core_headers
    absl::endian
    absl::raw_logging_internal
    absl::type_traits
)

absl_cc_test(
  NAME
    match_test
  SRCS
    "match_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::base
    GTest::gmock_main
)

absl_cc_test(
  NAME
    escaping_test
  SRCS
    "escaping_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::core_headers
    absl::fixed_array
    GTest::gmock_main
)

absl_cc_test(
  NAME
    ascii_test
  SRCS
    "ascii_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::core_headers
    GTest::gmock_main
)

absl_cc_test(
  NAME
    damerau_levenshtein_distance_test
  SRCS
    "internal/damerau_levenshtein_distance_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::base
    GTest::gmock_main
)

absl_cc_test(
  NAME
    memutil_test
  SRCS
    "internal/memutil.h"
    "internal/memutil_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::core_headers
    GTest::gmock_main
)

absl_cc_test(
  NAME
    utf8_test
  SRCS
    "internal/utf8_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings_internal
    absl::base
    absl::core_headers
    GTest::gmock_main
)

absl_cc_test(
  NAME
    string_constant_test
  SRCS
    "internal/string_constant_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::type_traits
    GTest::gmock_main
)

absl_cc_test(
  NAME
    string_view_test
  SRCS
    "string_view_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::config
    absl::core_headers
    absl::dynamic_annotations
    GTest::gmock_main
)

absl_cc_test(
  NAME
    substitute_test
  SRCS
    "substitute_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::core_headers
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_replace_test
  SRCS
    "str_replace_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_split_test
  SRCS
    "str_split_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::core_headers
    absl::dynamic_annotations
    absl::btree
    absl::flat_hash_map
    absl::node_hash_map
    GTest::gmock_main
)

absl_cc_test(
  NAME
    ostringstream_test
  SRCS
    "internal/ostringstream_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings_internal
    GTest::gmock_main
)

absl_cc_test(
  NAME
    resize_uninitialized_test
  SRCS
    "internal/resize_uninitialized.h"
    "internal/resize_uninitialized_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::base
    absl::core_headers
    absl::type_traits
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_join_test
  SRCS
    "str_join_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::base
    absl::core_headers
    absl::memory
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_cat_test
  SRCS
    "str_cat_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::str_format
    absl::core_headers
    GTest::gmock_main
)

absl_cc_test(
  NAME
    numbers_test
  SRCS
    "internal/numbers_test_common.h"
    "numbers_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::core_headers
    absl::pow10_helper
    absl::config
    absl::raw_logging_internal
    absl::random_random
    absl::random_distributions
    absl::strings_internal
    GTest::gmock_main
)

absl_cc_test(
  NAME
    strip_test
  SRCS
    "strip_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::base
    GTest::gmock_main
)

absl_cc_test(
  NAME
    char_map_test
  SRCS
    "internal/char_map_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings_internal
    GTest::gmock_main
)

absl_cc_test(
  NAME
    charconv_test
  SRCS
    "charconv_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::str_format
    absl::pow10_helper
    GTest::gmock_main
)

absl_cc_test(
  NAME
    charconv_parse_test
  SRCS
    "internal/charconv_parse.h"
    "internal/charconv_parse_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::config
    absl::raw_logging_internal
    GTest::gmock_main
)

absl_cc_test(
  NAME
    charconv_bigint_test
  SRCS
    "internal/charconv_bigint.h"
    "internal/charconv_bigint_test.cc"
    "internal/charconv_parse.h"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::config
    GTest::gmock_main
)

absl_cc_library(
  NAME
    str_format
  HDRS
    "str_format.h"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::str_format_internal
  PUBLIC
)

# Internal-only target, do not depend on directly.
absl_cc_library(
  NAME
    str_format_internal
  HDRS
    "internal/str_format/arg.h"
    "internal/str_format/bind.h"
    "internal/str_format/checker.h"
    "internal/str_format/extension.h"
    "internal/str_format/float_conversion.h"
    "internal/str_format/output.h"
    "internal/str_format/parser.h"
  SRCS
    "internal/str_format/arg.cc"
    "internal/str_format/bind.cc"
    "internal/str_format/extension.cc"
    "internal/str_format/float_conversion.cc"
    "internal/str_format/output.cc"
    "internal/str_format/parser.cc"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::bits
    absl::strings
    absl::config
    absl::core_headers
    absl::numeric_representation
    absl::type_traits
    absl::utility
    absl::int128
    absl::span
)

absl_cc_test(
  NAME
    str_format_test
  SRCS
    "str_format_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::str_format
    absl::cord
    absl::strings
    absl::core_headers
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_format_extension_test
  SRCS
    "internal/str_format/extension_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::str_format
    absl::str_format_internal
    absl::strings
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_format_arg_test
  SRCS
    "internal/str_format/arg_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::str_format
    absl::str_format_internal
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_format_bind_test
  SRCS
    "internal/str_format/bind_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::str_format_internal
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_format_checker_test
  SRCS
    "internal/str_format/checker_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::str_format
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_format_convert_test
  SRCS
    "internal/str_format/convert_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::strings
    absl::str_format_internal
    absl::core_headers
    absl::raw_logging_internal
    absl::int128
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_format_output_test
  SRCS
    "internal/str_format/output_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::str_format_internal
    absl::cord
    GTest::gmock_main
)

absl_cc_test(
  NAME
    str_format_parser_test
  SRCS
    "internal/str_format/parser_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::str_format_internal
    absl::core_headers
    GTest::gmock_main
)

# Internal-only target, do not depend on directly.
absl_cc_library(
  NAME
    pow10_helper
  HDRS
    "internal/pow10_helper.h"
  SRCS
    "internal/pow10_helper.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::config
  TESTONLY
)

absl_cc_test(
  NAME
    pow10_helper_test
  SRCS
    "internal/pow10_helper_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::pow10_helper
    absl::str_format
    GTest::gmock_main
)

# Internal-only target, do not depend on directly.
absl_cc_library(
  NAME
    cord_internal
  HDRS
    "internal/cord_data_edge.h"
    "internal/cord_internal.h"
    "internal/cord_rep_btree.h"
    "internal/cord_rep_btree_navigator.h"
    "internal/cord_rep_btree_reader.h"
    "internal/cord_rep_crc.h"
    "internal/cord_rep_consume.h"
    "internal/cord_rep_flat.h"
    "internal/cord_rep_ring.h"
    "internal/cord_rep_ring_reader.h"
  SRCS
    "internal/cord_internal.cc"
    "internal/cord_rep_btree.cc"
    "internal/cord_rep_btree_navigator.cc"
    "internal/cord_rep_btree_reader.cc"
    "internal/cord_rep_crc.cc"
    "internal/cord_rep_consume.cc"
    "internal/cord_rep_ring.cc"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::base_internal
    absl::compressed_tuple
    absl::config
    absl::core_headers
    absl::endian
    absl::inlined_vector
    absl::layout
    absl::raw_logging_internal
    absl::strings
    absl::throw_delegate
    absl::type_traits
)

# Internal-only target, do not depend on directly.
absl_cc_library(
  NAME
    cordz_update_tracker
  HDRS
    "internal/cordz_update_tracker.h"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::config
)

absl_cc_test(
  NAME
    cordz_update_tracker_test
  SRCS
    "internal/cordz_update_tracker_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::config
    absl::cordz_update_tracker
    absl::core_headers
    absl::synchronization
    GTest::gmock_main
)

# Internal-only target, do not depend on directly.
absl_cc_library(
  NAME
    cordz_functions
  HDRS
    "internal/cordz_functions.h"
  SRCS
    "internal/cordz_functions.cc"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::config
    absl::core_headers
    absl::exponential_biased
    absl::raw_logging_internal
)

absl_cc_test(
  NAME
    cordz_functions_test
  SRCS
    "internal/cordz_functions_test.cc"
  DEPS
    absl::config
    absl::cordz_functions
    absl::cordz_test_helpers
    GTest::gmock_main
)

# Internal-only target, do not depend on directly.
absl_cc_library(
  NAME
    cordz_statistics
  HDRS
    "internal/cordz_statistics.h"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::config
    absl::core_headers
    absl::cordz_update_tracker
    absl::synchronization
)

=== third_party/abseil-cpp/absl/time/CMakeLists.txt ===
#
# Copyright 2017 The Abseil Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

absl_cc_library(
  NAME
    time
  HDRS
    "civil_time.h"
    "clock.h"
    "time.h"
  SRCS
    "civil_time.cc"
    "clock.cc"
    "duration.cc"
    "format.cc"
    "internal/get_current_time_chrono.inc"
    "internal/get_current_time_posix.inc"
    "time.cc"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::base
    absl::civil_time
    absl::core_headers
    absl::int128
    absl::raw_logging_internal
    absl::strings
    absl::time_zone
  PUBLIC
)

absl_cc_library(
  NAME
    civil_time
  HDRS
    "internal/cctz/include/cctz/civil_time.h"
    "internal/cctz/include/cctz/civil_time_detail.h"
  SRCS
  "internal/cctz/src/civil_time_detail.cc"
  COPTS
    ${ABSL_DEFAULT_COPTS}
)

if(APPLE)
  find_library(CoreFoundation CoreFoundation)
endif()

absl_cc_library(
  NAME
    time_zone
  HDRS
    "internal/cctz/include/cctz/time_zone.h"
    "internal/cctz/include/cctz/zone_info_source.h"
  SRCS
    "internal/cctz/src/time_zone_fixed.cc"
    "internal/cctz/src/time_zone_fixed.h"
    "internal/cctz/src/time_zone_format.cc"
    "internal/cctz/src/time_zone_if.cc"
    "internal/cctz/src/time_zone_if.h"
    "internal/cctz/src/time_zone_impl.cc"
    "internal/cctz/src/time_zone_impl.h"
    "internal/cctz/src/time_zone_info.cc"
    "internal/cctz/src/time_zone_info.h"
    "internal/cctz/src/time_zone_libc.cc"
    "internal/cctz/src/time_zone_libc.h"
    "internal/cctz/src/time_zone_lookup.cc"
    "internal/cctz/src/time_zone_posix.cc"
    "internal/cctz/src/time_zone_posix.h"
    "internal/cctz/src/tzfile.h"
    "internal/cctz/src/zone_info_source.cc"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    $<$<PLATFORM_ID:Darwin>:${CoreFoundation}>
)

# Internal-only target, do not depend on directly.
absl_cc_library(
  NAME
    time_internal_test_util
  HDRS
    "internal/test_util.h"
  SRCS
    "internal/test_util.cc"
    "internal/zoneinfo.inc"
  COPTS
    ${ABSL_DEFAULT_COPTS}
  DEPS
    absl::time
    absl::config
    absl::raw_logging_internal
    absl::time_zone
    GTest::gmock
  TESTONLY
)

absl_cc_test(
  NAME
    time_test
  SRCS
    "civil_time_test.cc"
    "clock_test.cc"
    "duration_test.cc"
    "format_test.cc"
    "time_test.cc"
    "time_zone_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::time_internal_test_util
    absl::time
    absl::config
    absl::core_headers
    absl::time_zone
    GTest::gmock_main
)

absl_cc_test(
  NAME
    flag_test
  SRCS
    "flag_test.cc"
  COPTS
    ${ABSL_TEST_COPTS}
  DEPS
    absl::flags
    absl::flags_reflection
    GTest::gmock_main
)

=== wrappers/android/zxingcpp/src/main/cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(ZXingAndroid)

# Force to build by C++17. The zxing-cpp require C++17 to build
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(BUILD_READERS ON)
set(BUILD_WRITERS OFF)

add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../../../../../../core ZXing EXCLUDE_FROM_ALL)

add_library(zxing_android SHARED BarcodeReader.cpp JNIUtils.cpp)

target_compile_definitions(zxing_android PRIVATE -DZX_USE_UTF8)
target_link_libraries(zxing_android PRIVATE ZXing::ZXing log jnigraphics)

=== debian/changelog ===
libreoffice (4:7.5.2-0ubuntu1) lunar; urgency=medium

  * New upstream release
  * Install all yaru icon variants (LP: #2013122)
  * Bump yaru source to "2023-03-31"

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 31 Mar 2023 15:25:17 +0200

libreoffice (4:7.5.2~rc2-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Mar 2023 18:16:59 +0100

libreoffice (4:7.5.2~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate
  * tests/patches/s390x-skip-tests.diff:
    - Skip four more failing tests on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 09 Mar 2023 21:29:44 +0100

libreoffice (4:7.5.1~rc2-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate
  * Disable make check on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 22 Feb 2023 19:46:23 +0100

libreoffice (1:7.5.1~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 09 Feb 2023 13:34:32 +0100

libreoffice (1:7.5.0~rc3-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 25 Jan 2023 15:34:42 +0100

libreoffice (1:7.5.0~rc2-0ubuntu3) lunar; urgency=medium

  * tests/control,tests/uicheck-sc:
    - Allow uicheck-sc test to handle timeouts and mark it as flaky temporarily

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 19 Jan 2023 15:56:34 +0100

libreoffice (1:7.5.0~rc2-0ubuntu2) lunar; urgency=medium

  * debian/patches/sd-qa-Increase-range-for-DPI-dependent-check-of-Boun.patch
    - Fix test failure

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 15 Jan 2023 09:27:06 +0100

libreoffice (1:7.5.0~rc2-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate
  * Set NO_PKG_MANGLE to disable optimization on riscv64

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 12 Jan 2023 18:20:06 +0100

libreoffice (1:7.5.0~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

  * Enable GTK4 support
  * Drop old transitional packages for pre-bionic
  * autopkgtests: Skip two failing tests on s390x

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Dec 2022 20:15:33 +0100

libreoffice (1:7.4.3-0ubuntu1) lunar; urgency=medium

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 30 Nov 2022 11:05:16 +0100

libreoffice (1:7.4.3~rc2-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 16 Nov 2022 18:41:04 +0100

libreoffice (1:7.4.3~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release candidate

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 02 Nov 2022 13:13:52 +0100

=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: ant <!nojava>,
               ant-optional <!nojava>,
               autoconf,
               automake,
               bc,
               bison,
               bzip2,
               clang (>= 1:11) [armel],
               clang (>= 1:8.0.1) [amd64 arm64 armhf riscv64],
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !powerpcspe !s390 !sparc] <!nojava>,
               default-libmysqlclient-dev,
               dh-python <!nopython>,
               dpkg-dev (>= 1.20.1),
               firebird-dev,
               flex,
               fontforge-nox | fontforge,
               gobject-introspection,
               gperf,
               java-common <!nojava>,
               javahelper <!nojava>,
               junit4 [amd64 arm64] <!nocheck !nojava>,
               libabsl-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl <!nojava>,
               libatk1.0-dev,
               libavahi-client-dev,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev (>= 1.71),
               libboost-dev (>= 1.71),
               libboost-filesystem-dev (>= 1.71),
               libboost-iostreams-dev (>= 1.71),
               libboost-locale-dev (>= 1.71),
               libbsh-java <!nojava>,
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev,
               libcups2-dev,
               libcurl4-gnutls-dev (>= 7.68),
               libdbus-1-dev,
               libdconf-dev,
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libebook1.2-dev,
               libeot-dev,
               libepoxy-dev,
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libexpat1-dev,
               libexttextcat-dev,
               libfontconfig-dev,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype-dev (>= 2.8.1),
               libgirepository1.0-dev,
               libgl-dev,
               libglib2.0-dev,
               libglm-dev,
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.14),
               libgraphite2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libgtk-4-dev,
               libharfbuzz-dev (>= 5.1.0),
               libhsqldb1.8.0-java <!nojava>,
               libhunspell-dev,
               libhyphen-dev,
               libice-dev,
               libicu-dev,
               libjpeg-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5windowsystem-dev,
               liblangtag-dev,
               liblcms2-dev,
               libldap-dev,
               liblockfile-bin,
               liblpsolve55-dev,
               libmdds-dev (<< 2.1~),
               libmdds-dev (>= 2.0),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmwaw-dev (<< 0.4~),
               libmwaw-dev (>= 0.3.1),
               libmythes-dev (>= 2:1.2),
               libnspr4-dev,
               libnss3-dev,
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               libopenjp2-7-dev [amd64 arm64 armhf ppc64el riscv64 s390x],
               liborcus-dev (<< 0.18~),
               liborcus-dev (>= 0.17.2),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               libpq-dev,
               libqt5x11extras5-dev,
               librdf0-dev,
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsane-dev,
               libsm-dev,
               libsuitesparse-dev,
               libtiff-dev,
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwebp-dev,
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libwps-dev (<< 0.5~),
               libwps-dev (>= 0.4),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml2-dev,
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.35),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               lp-solve,
               maven-repo-helper,
               pkg-config,
               python3,
               python3-dev <!nopython>,
               python3-distutils <!nopython>,
               qmake6 (>= 6.2.1+dfsg-2),
               qt5-qmake,
               qt6-base-dev (>= 6.2.1+dfsg-2),
               qt6-base-dev-tools (>= 6.2.1+dfsg-2),
               qtbase5-dev,
               qtbase5-dev-tools,
               unixodbc-dev,
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: firebird3.0-server-core <!nocheck>,
                    fontconfig [!s390x] <!nocheck>,
                    fonts-crosextra-carlito [!s390x] <!nocheck>,
                    fonts-dejavu [!s390x] <!nocheck>,
                    fonts-hosny-amiri [!s390x] <!nocheck>,
                    fonts-liberation2 [!s390x] <!nocheck>,
                    fonts-linuxlibertine [!s390x] <!nocheck>,
                    fonts-noto-core [!s390x] <!nocheck>,
                    gdb [!s390x] <!nocheck>,
                    ghostscript [!s390x] <!nocheck>,
                    gpg [!s390x] <!nocheck>,
                    gpg-agent [!s390x] <!nocheck>,
                    gpgconf [!s390x] <!nocheck>,
                    hunspell-en-us [!s390x] <!nocheck>,
                    hyphen-en-us [!s390x] <!nocheck>,
                    imagemagick [!s390x] <!nocheck>,
                    libcppunit-dev [!s390x] <!nocheck>,
                    libe-book-dev (>= 0.1.2) [!s390x] <!nocheck>,
                    libetonyek-dev (>= 0.1.8) [!s390x] <!nocheck>,
                    libmwaw-dev (>= 0.3.21),
                    libwps-dev (>= 0.4.12) [!s390x] <!nocheck>,
                    locales [!s390x] <!nocheck>,
                    poppler-data [!s390x] <!nocheck>,
                    pstoedit [!s390x] <!nocheck>,
                    python3-lxml [!s390x] <!nocheck !nopython>
Build-Depends-Indep: apparmor <!nocheck>,
                     dh-apparmor,
                     doxygen <!nodoc>,
                     gettext,
                     graphviz <!nodoc>,
                     junit4 <!nojava>,
                     rdfind,
                     symlinks
Build-Conflicts: amd-libopencl1,
                 fonts-opensymbol <!nocheck>,
                 nvidia-glx-dev,
                 nvidia-glx-legacy-dev,
                 nvidia-libopencl1
Standards-Version: 4.0.1
Vcs-Git: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice -b ubuntu-lunar-7.5
Vcs-Browser: https://git.launchpad.net/~libreoffice/ubuntu/+source/libreoffice
Bugs: mailto:libreoffice@lists.launchpad.net
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
Section: metapackages
Depends: libreoffice-base,
         libreoffice-calc,
         libreoffice-core (= ${binary:Version}),
         libreoffice-draw,
         libreoffice-impress,
         libreoffice-math,
         libreoffice-report-builder-bin,
         libreoffice-writer,
         ${misc:Depends},
         ${pyuno-depends}
Recommends: fonts-crosextra-caladea,
            fonts-crosextra-carlito,
            fonts-dejavu,
            fonts-liberation,
            fonts-liberation2,
            fonts-linuxlibertine,
            fonts-noto-core,
            fonts-noto-extra,
            fonts-noto-mono,
            fonts-noto-ui-core,
            fonts-sil-gentium-basic,
            libreoffice-gnome | libreoffice-plasma,
            libreoffice-nlpsolver,
            libreoffice-report-builder,
            libreoffice-script-provider-bsh,
            libreoffice-script-provider-js,
            libreoffice-script-provider-python,
            libreoffice-sdbc-mysql,
            libreoffice-sdbc-postgresql,
            libreoffice-wiki-publisher,
            ${java-common-depends}
Suggests: cups-bsd,
          firefox | firefox-esr | thunderbird,
          ghostscript,
          gnupg,
          gpa,
          hunspell-dictionary,
          hyphen-hyphenation-patterns,
          imagemagick | graphicsmagick-imagemagick-compat,
          libgl1,
          libreoffice-grammarcheck,
          libreoffice-help (= ${help-l10n-virtual-version}),
          libreoffice-l10n (= ${help-l10n-virtual-version}),
          libreoffice-librelogo,
          libxrender1,
          myspell-dictionary,
          mythes-thesaurus,
          openclipart-libreoffice,
          pstoedit,
          unixodbc,
          ${gstreamer-plugins-suggests},
          ${java-runtime-depends},
          ${libsane-suggests},
          ${ooo-officebean-dep}
Conflicts: libreoffice-dev (<= 1:5.0.3~rc1-2),
           libreoffice-dev-doc (<= 1:5.0.3~rc1-2)
Description: office productivity suite (metapackage)
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
 It also recommends additional packages (e.g. fonts) in order to match an
 upstream LibreOffice install as closely as possible.
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk(2|3): Gtk UI Plugin, GNOME File Picker support
  * libreoffice-gnome: GIO backend
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files
  * firefox-esr | thunderbird | firefox:
    Mozilla profile with Certificates needed for XML Security...
  * openjdk-11-jre | openjdk-8-jre | java8-runtime:
    Java Runtime Environment for use with LibreOffice
  * pstoedit / imagemagick / ghostscript: helper tools for EPS
  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
    media backend
  * libpaper-utils: papersize detection support via paperconf
  * bluez: Bluetooth support for Impress (slideshow remote control)

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2022 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Portions Copyright 2011-2013 Canonical Ltd. Author: Bjoern Michaelsen
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
#HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
HELP_L10N_VIRTUAL_VERSION:=7.5
OOVER:=7.5
NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -a)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

ifneq (,$(shell pwd | grep autopkgtest))
AUTOPKGTEST_BUILD=y
$(warning Build for autopkgtest)
endif
AUTOPKGTEST_CPPUNIT_PACKAGES := $(shell dh_listpackages | grep -v help | grep -v l10n | grep -v dev-doc | grep -v "nogui$$")

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(..\..\)\../\1/p' | cut -d" " -f1)
SYSTEM_CLANG_VERSION = $(shell clang -v 2>&1 | head -n1 | awk '{ print $$4 }' | cut -d. -f1)

PKGDIR:=debian/libreoffice
OODIRNAME=libreoffice
OODIR:=usr/lib/$(OODIRNAME)
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
ifneq "$(DEB_VENDOR)" "Debian"
OOO_VENDOR:=The Document Foundation, $(DEB_PARENT_VENDOR) and $(DEB_VENDOR)
else
OOO_VENDOR=The Document Foundation/$(DEB_VENDOR)
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/tarballs
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=n
USE_GIT_TARBALLS=n
ifeq "$(USE_GIT_TARBALLS)" "y"
GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
# bootstraping this from the source tree is breaking get-orig-source
#lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
lo_sources_ver=7.5.2.2
# NOT in proper libreoffice-3-6 branch
# use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
GIT_TAG=libreoffice-$(lo_sources_ver)
GIT_BRANCH=libreoffice-7-5-2
endif
ifeq "$(USE_SOURCE_TARBALLS)" "y"
lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
endif

ifeq "$(USE_GIT_TARBALLS)" "y"
YARU_GIT_TAG=2023-03-31
endif

YARU_ACCENTS = bark blue magenta olive prussiangreen purple red sage viridian mate
YARU_IMAGES = yaru yaru_svg $(foreach y, $(YARU_ACCENTS),yaru_$(y) yaru_$(y)_svg)

#########
# Default package configuration
#
OOO_ARCHS = amd64 arm64 armhf ppc64el riscv64 s390x
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=\
    autoconf,\
    automake,\
    bc,\
    bison,\
    bzip2,\
    flex, \
    fontforge-nox | fontforge, \
    gperf,\
    libfontconfig-dev,\
    pkg-config,\
    unzip,\
    xsltproc,\
    zip,\
    zlib1g-dev\

BUILD_DEPS_INDEP += rdfind, symlinks

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

ENABLE_GUI=y

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
ENABLE_PYTHON=y
ifeq "$(ENABLE_PYTHON)" "y"
  CONFIGURE_FLAGS += --enable-python=system
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
  PACKAGE_LIBRELOGO=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python3
  export PYTHON
else
  # somehow configure insists on using python3 "for pyuno". The only way to
  # override this (afaics) is this...
  PYTHON=python$(PYTHON_VERSION)
  PYTHON_CFLAGS=$(shell pkg-config --cflags python-$(PYTHON_VERSION))
  PYTHON_LIBS=$(shell pkg-config --libs python-$(PYTHON_VERSION))
  export PYTHON PYTHON_VERSION PYTHON_CFLAGS PYTHON_LIBS
endif
endif
BUILD_ONLY_EN_US=n
ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
  ENABLE_JAVA=y
  ifeq "$(ENABLE_JAVA)" "y"
    JDK=default
    include /usr/share/java/java_defaults.mk
    ifneq "$(JDK)" "default"
      JAVA_MAINVER=7
    endif
  endif
else
  ENABLE_JAVA=n
endif
#JAVAHELPER_MIN_VERSION=
SYSTEM_STUFF += hunspell
SYSTEM_STUFF += altlinuxhyph
SYSTEM_STUFF += boost
BOOST_VERSION=default
ifeq "$(BOOST_VERSION)" "default"
  BOOST_MINVER= (>= 1.71)
endif
# libmdds-dev depends on libboost-dev, which will be removed
# when you install a non-default libboostX.Y-dev
ifeq "$(BOOST_VERSION)" "default"
SYSTEM_STUFF += mdds
endif
USE_EXTERNAL_CXXLIBS=y
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
SYSTEM_STUFF += librevenge
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
SYSTEM_STUFF += libcdr
SYSTEM_STUFF += libmspub
SYSTEM_STUFF += libmwaw
SYSTEM_STUFF += libodfgen
SYSTEM_STUFF += libepubgen
SYSTEM_STUFF += libetonyek
SYSTEM_STUFF += libfreehand
# this is libe-book, NOT evolutions libebook (which is
# dlopen()'ed anyway and whose headers we need from the
# system anyways if enabled
SYSTEM_STUFF += libebook
SYSTEM_STUFF += libabw
SYSTEM_STUFF += libpagemaker
SYSTEM_STUFF += libzmf
SYSTEM_STUFF += libstaroffice
SYSTEM_STUFF += libqxp
ENABLE_ZXING=y
SYSTEM_STUFF += zxing
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
ifeq "$(ENABLE_GUI)" "y"
BUILD_PLASMA=y
ENABLE_QT5=n
#QT5_MINVER=
endif
ifeq "$(BUILD_PLASMA)" "y"
  ENABLE_KF5=y
  # KF5 depends on Qt5
  ifeq "$(ENABLE_KF5)" "y"
    ENABLE_QT5=y
    KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
  endif
endif
ENABLE_QT6=y
# for moc move to /usr/lib/qt6/libxexec
QT6_MINVER= (>= 6.2.1+dfsg-2)
# https://www.debian.org/doc/debian-policy/ says this is not defined and must
# be ignored, but dh_strip mentions (and honours) it, so...
ifneq (noautodbgsym,$(findstring noautodbgsym,$(DEB_BUILD_OPTIONS)))
BUILD_DBGSYM_PACKAGES=y
ifeq "$(DEB_HOST_ARCH)" "amd64"
USE_DWZ=y
DWZ_ARGS:=-L 100000000
endif
endif
SYSTEM_STUFF += xmlsec

ifeq ($(filter noinsttest,$(DEB_BUILD_PROFILES)),)
 # this changes the packages built/contents of packages (-subsequentcheckbase)
 # This is not exactly allowed in https://wiki.debian.org/BuildProfileSpec#Registered_profile_names
 # but it doesn't have real practical difference, does it?
  ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
    BUILD_TEST_PACKAGES=y
  endif
endif

ifneq ($(MAKECMDGOALS),build-indep)
ENABLE_SYMBOLS=y
SMALL_SYMBOLS=y
endif
ifeq ($(MAKECMDGOALS),build-indep)
# no need to do a double build...
BUILD_NOGUI_PACKAGES=n
# go sure
  ifeq "$(BUILD_TEST_PACKAGES)" "y"
    ENABLE_JUNIT4=y
  endif
endif

ifeq "$(ENABLE_JAVA)" "y"
  SYSTEM_STUFF += beanshell
  SYSTEM_STUFF += hsqldb
endif
SYSTEM_STUFF += lpsolve
USE_SHARED_LPSOLVE=y
#LPSOLVE_MIN_VERSION=
ENABLE_COINMP=y
SYSTEM_STUFF += coinmp
USE_DBUS=y
ifeq "$(USE_DBUS)" "y"
  ifeq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
    ENABLE_BLUETOOTH=n
  else
    ENABLE_BLUETOOTH=y
    SYSTEM_STUFF += bluez
  endif

=== debian/tests/control ===
Tests: testtools-bridgetest
Depends: @builddeps@, ure
Restrictions: allow-stderr, rw-build-tree, superficial

Tests: pyuno-import, uno-import
Depends: python3, python3-uno
Restrictions: superficial

Tests: access2base-import
Depends: python3, python3-access2base
Restrictions: superficial

## Is there a need for this small test given we run the UI tests etc.?
#Tests: smoketest
#Architecture: amd64 arm64
#Depends: @builddeps@, libreoffice-smoketest-data, libreoffice-dev, libreoffice-core, libreoffice-writer, libreoffice-calc, libreoffice-impress, libreoffice-math, libreoffice-base, libreoffice-sdbc-hsqldb, libreoffice-sdbc-firebird
#Restrictions: allow-stderr, build-needed, rw-build-tree, superficial

# this is already done by smoketest upstream, but fails when doing it against
# the installed LO. works standalone, though, so it's patched out of the
# smoketest. Do it here separately.
Tests: test-extension
Architecture: amd64 arm64 armhf ppc64el s390x
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, superficial, skippable

Tests: test-extension-shared
Architecture: amd64 arm64 armhf ppc64el s390x
Depends: libreoffice-core-nogui, libreoffice-common, libreoffice-java-common, libreoffice-smoketest-data, default-jdk
Restrictions: allow-stderr, needs-root, superficial

# in the following some tests need RTL and CJK language packs installed to pass.
# he is the example for RTL, zh-tw for CJK (and zh-tw was choosen to also test xx-YY locales)

# Maybe all those tests should be merged into one (especially for the "small" ones like writerperfect or
# "tiny" ones like sfx2,svx,cui.
# But it already takes ~1.5 h (though including copy..) for all them to run on amd64 and the overall autopkgtest
# test timeout is 166 min (a bit over 2.5 hrs.). What are we doing on slow archs?
# And secondly. one might miss breakage if Java or another package is not installed but is
# required because everything needed would be in Depends: then for one test...
# Try to optimize a bit though by not sorting alphabetically but where the  new packages are a superset so
# we can reuse the testbed

Tests: uicheck-sfx2
Depends: @builddeps@, libreoffice-core, libreoffice-impress, python3-uno
Restrictions: allow-stderr

Tests: uicheck-svx
Depends: @builddeps@, libreoffice-core, libreoffice-impress, python3-uno
Restrictions: allow-stderr

Tests: uicheck-cui
Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
Depends: @builddeps@, libreoffice-core, libreoffice-impress, libreoffice-writer, python3-uno, libreoffice-script-provider-python, libreoffice-script-provider-js, libreoffice-script-provider-bsh
Restrictions: allow-stderr

Tests: uicheck-sd
Depends: @builddeps@, libreoffice-core, libreoffice-draw, libreoffice-impress, libreoffice-calc, python3-uno
Restrictions: allow-stderr

Tests: uicheck-writerperfect
Depends: @builddeps@, libreoffice-core, libreoffice-writer, python3-uno
